Subject: [PATCH 00/16] xics and ipi cleanups for 2.6.28

From: Milton Miller <[email-masked]>
Date: Fri, 10 Oct 2008 06:56:14 -0500 (CDT)

The first two patches in this series implememnt a couple of bug
fixes for the xics interrupt controller accessed as found in pseries
hardware.  The next several patches implement some code orginization
and cleanups, followed by some changes to reduce code or flag the
behavior to generic code.

The last 5 patces are independent of the xics changes, although the
first one affects xics.  They are designed to reduce interrupt
overhead for interprocessor interupts.  

While I would have liked to do more testing where I have access to
the hardware (which is only xics), I am sending them out now for
review and consdieration for the merge window.  All have been compile
tested, and I feel they are split into reviewable pieces.

milton